services:
  encryption:
    class: Drupal\encrypt\EncryptService
    arguments: ['@plugin.manager.encrypt.encryption_methods', '@key.repository', '@config.factory']

  plugin.manager.encrypt.encryption_methods:
    class: Drupal\encrypt\EncryptionMethodManager
    parent: default_plugin_manager

  encrypt.encryption_profile.manager:
    class: Drupal\encrypt\EncryptionProfileManager
    arguments: ['@entity_type.manager']
